Generation Framework

## org.eclipse.gmf.gmfgraph
Interface GradientFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VisualFacet

All Known Implementing Classes:
  GradientFacetImpl

    public interface GradientFacet

extends VisualFacet

A representation of the model object 'Gradient Facet'.

The following features are supported:

- `Direction`

See Also:
  `GMFGraphPackage.getGradientFacet()`
** Generated **
Model:

Method Summary
`Direction` `getDirection()` Returns the value of the 'Direction' attribute.
`void` `setDirection(Direction value)` Sets the value of the '`Direction`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDirection

    Direction getDirection()

  Returns the value of the 'Direction' attribute. The literals are from the enumeration `Direction`.

  If the meaning of the 'Direction' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Direction' attribute.
  See Also:
    `Direction`, `setDirection(Direction)`, `GMFGraphPackage.getGradientFacet_Direction()`
  ** Generated **
  Model:

### setDirection

    void setDirection(Direction value)

  Sets the value of the '`Direction`' attribute.

  Parameters:
    `value` - the new value of the 'Direction' attribute.
  See Also:
    `Direction`, `getDirection()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.